Debian Bug report logs - #669305
leveldb: FTBFS[kfreebsd]: undefined reference to `leveldb::port::Mutex::Mutex()'

version graph

Package: src:leveldb; Maintainer for src:leveldb is Alessio Treglia <alessio@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Wed, 18 Apr 2012 21:22:41 UTC

Severity: serious

Tags: sid, wheezy

Found in version leveldb/0+20120330.gitbc1ee4d-1

Fixed in version leveldb/0+20120417.git85584d4-1

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Alessio Treglia <alessio@debian.org>:
Bug#669305; Package src:leveldb. (Wed, 18 Apr 2012 21:22:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Alessio Treglia <alessio@debian.org>. (Wed, 18 Apr 2012 21:22:49 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: leveldb: FTBFS[kfreebsd]: undefined reference to `leveldb::port::Mutex::Mutex()'
Date: Wed, 18 Apr 2012 23:11:09 +0200
Package: src:leveldb
Version: 0+20120330.gitbc1ee4d-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

g++ -Wl,-z,relro  util/arena_test.o ./db/builder.o ./db/c.o ./db/db_impl.o ./db/db_iter.o ./db/dbformat.o ./db/filename.o ./db/log_reader.o ./db/log_writer.o ./db/memtable.o ./db/repair.o ./db/table_cache.o ./db/version_edit.o ./db/version_set.o ./db/write_batch.o ./table/block.o ./table/block_builder.o ./table/format.o ./table/iterator.o ./table/merger.o ./table/table.o ./table/table_builder.o ./table/two_level_iterator.o ./util/arena.o ./util/cache.o ./util/coding.o ./util/comparator.o ./util/crc32c.o ./util/env.o ./util/env_posix.o ./util/hash.o ./util/histogram.o ./util/logging.o ./util/options.o ./util/status.o ./util/testharness.o ./util/testutil.o -o arena_test -lpthread -lrt -lsnappy
db/db_bench.o: In function `SharedState':
/build/buildd-leveldb_0+20120330.gitbc1ee4d-1-kfreebsd-amd64-DHWOf4/leveldb-0+20120330.gitbc1ee4d/db/db_bench.cc:275: undefined reference to `leveldb::port::Mutex::Mutex()'
/build/buildd-leveldb_0+20120330.gitbc1ee4d-1-kfreebsd-amd64-DHWOf4/leveldb-0+20120330.gitbc1ee4d/db/db_bench.cc:275: undefined reference to `leveldb::port::CondVar::CondVar(leveldb::port::Mutex*)'
db/db_bench.o: In function `RunBenchmark':
/build/buildd-leveldb_0+20120330.gitbc1ee4d-1-kfreebsd-amd64-DHWOf4/leveldb-0+20120330.gitbc1ee4d/db/db_bench.cc:561: undefined reference to `leveldb::port::Mutex::Lock()'
/build/buildd-leveldb_0+20120330.gitbc1ee4d-1-kfreebsd-amd64-DHWOf4/leveldb-0+20120330.gitbc1ee4d/db/db_bench.cc:563: undefined reference to `leveldb::port::CondVar::Wait()'
/build/buildd-leveldb_0+20120330.gitbc1ee4d-1-kfreebsd-amd64-DHWOf4/leveldb-0+20120330.gitbc1ee4d/db/db_bench.cc:567: undefined reference to `leveldb::port::CondVar::SignalAll()'
/build/buildd-leveldb_0+20120330.gitbc1ee4d-1-kfreebsd-amd64-DHWOf4/leveldb-0+20120330.gitbc1ee4d/db/db_bench.cc:569: undefined reference to `leveldb::port::CondVar::Wait()'
/build/buildd-leveldb_0+20120330.gitbc1ee4d-1-kfreebsd-amd64-DHWOf4/leveldb-0+20120330.gitbc1ee4d/db/db_bench.cc:571: undefined reference to `leveldb::port::Mutex::Unlock()'
db/db_bench.o: In function `~SharedState':
/build/buildd-leveldb_0+20120330.gitbc1ee4d-1-kfreebsd-amd64-DHWOf4/leveldb-0+20120330.gitbc1ee4d/db/db_bench.cc:260: undefined reference to `leveldb::port::CondVar::~CondVar()'
/build/buildd-leveldb_0+20120330.gitbc1ee4d-1-kfreebsd-amd64-DHWOf4/leveldb-0+20120330.gitbc1ee4d/db/db_bench.cc:260: undefined reference to `leveldb::port::Mutex::~Mutex()'
/build/buildd-leveldb_0+20120330.gitbc1ee4d-1-kfreebsd-amd64-DHWOf4/leveldb-0+20120330.gitbc1ee4d/db/db_bench.cc:260: undefined reference to `leveldb::port::Mutex::~Mutex()'
/build/buildd-leveldb_0+20120330.gitbc1ee4d-1-kfreebsd-amd64-DHWOf4/leveldb-0+20120330.gitbc1ee4d/db/db_bench.cc:260: undefined reference to `leveldb::port::CondVar::~CondVar()'
/build/buildd-leveldb_0+20120330.gitbc1ee4d-1-kfreebsd-amd64-DHWOf4/leveldb-0+20120330.gitbc1ee4d/db/db_bench.cc:260: undefined reference to `leveldb::port::Mutex::~Mutex()'
db/db_bench.o: In function `SharedState':
/build/buildd-leveldb_0+20120330.gitbc1ee4d-1-kfreebsd-amd64-DHWOf4/leveldb-0+20120330.gitbc1ee4d/db/db_bench.cc:275: undefined reference to `leveldb::port::Mutex::~Mutex()'

(and a lot more of these

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=leveldb&arch=kfreebsd-amd64&ver=0%2B20120330.gitbc1ee4d-1&stamp=1334350019

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Fri, 20 Apr 2012 09:21:44 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Fri, 20 Apr 2012 10:06:03 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Fri, 20 Apr 2012 10:06:06 GMT) Full text and rfc822 format available.

Message #12 received at 669305-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 669305-close@bugs.debian.org
Subject: Bug#669305: fixed in leveldb 0+20120417.git85584d4-1
Date: Fri, 20 Apr 2012 10:02:22 +0000
Source: leveldb
Source-Version: 0+20120417.git85584d4-1

We believe that the bug you reported is fixed in the latest version of
leveldb, which is due to be installed in the Debian FTP archive:

leveldb-doc_0+20120417.git85584d4-1_all.deb
  to main/l/leveldb/leveldb-doc_0+20120417.git85584d4-1_all.deb
leveldb_0+20120417.git85584d4-1.debian.tar.gz
  to main/l/leveldb/leveldb_0+20120417.git85584d4-1.debian.tar.gz
leveldb_0+20120417.git85584d4-1.dsc
  to main/l/leveldb/leveldb_0+20120417.git85584d4-1.dsc
leveldb_0+20120417.git85584d4.orig.tar.bz2
  to main/l/leveldb/leveldb_0+20120417.git85584d4.orig.tar.bz2
libleveldb-dev_0+20120417.git85584d4-1_amd64.deb
  to main/l/leveldb/libleveldb-dev_0+20120417.git85584d4-1_amd64.deb
libleveldb1_0+20120417.git85584d4-1_amd64.deb
  to main/l/leveldb/libleveldb1_0+20120417.git85584d4-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 669305@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated leveldb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 20 Apr 2012 11:30:42 +0200
Source: leveldb
Binary: libleveldb1 libleveldb-dev leveldb-doc
Architecture: source amd64 all
Version: 0+20120417.git85584d4-1
Distribution: unstable
Urgency: low
Maintainer: Alessio Treglia <alessio@debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 leveldb-doc - LevelDB documentation
 libleveldb-dev - fast key-value storage library (development files)
 libleveldb1 - fast key-value storage library
Closes: 669305
Changes: 
 leveldb (0+20120417.git85584d4-1) unstable; urgency=low
 .
   * New upstream snapshot 20120417.git85584d4:
     - Added bloom filter support.
     - Updated version number to 1.4.
     - Some build tweaks.
     - C binding for CompactRange.
     - Few more benchmarks.
   * debian/patches/0102-kfreebsd.patch
     - Compile port/port_posix.cc to fix FTBFS on kfreebsd. (Closes: #669305)
   * debian/patches/0103-hurd.patch
     - Compile port/port_posix.cc on hurd.
   * Refresh the whole patchset.
Checksums-Sha1: 
 a0c79714fb8abc73a1b7827f34704b99407c81ae 2057 leveldb_0+20120417.git85584d4-1.dsc
 6830f4d03cdb7ee6e8fd399f49cde0c2635d198d 149218 leveldb_0+20120417.git85584d4.orig.tar.bz2
 647ed44e03571f30a3ed49b7c8c31a20c744b013 10710 leveldb_0+20120417.git85584d4-1.debian.tar.gz
 b76b45a3658139732741c906ebd12df0b9709308 143924 libleveldb1_0+20120417.git85584d4-1_amd64.deb
 4317df9b9e478b1d27e9fc0712c69541a6af41d7 207134 libleveldb-dev_0+20120417.git85584d4-1_amd64.deb
 3e5af549b8441058a8113bf698a6368d4fe9cf6f 34344 leveldb-doc_0+20120417.git85584d4-1_all.deb
Checksums-Sha256: 
 0ce582daa4cc9578072ca77ac6e661cf7fa877acaf95d2ccbf558175fe83c169 2057 leveldb_0+20120417.git85584d4-1.dsc
 5e7fabb7b9aad687573f7ed36254f1f13aa8403129e49c93d6cbcaa7c39629fa 149218 leveldb_0+20120417.git85584d4.orig.tar.bz2
 a5787776a2bfea98c441ae760a131b2313b196a1e4ee324833c446de759968a9 10710 leveldb_0+20120417.git85584d4-1.debian.tar.gz
 0dabb0619361e6bf3469f91e9f09e860ed239b783e0b8e5c47580121f3bad28b 143924 libleveldb1_0+20120417.git85584d4-1_amd64.deb
 17f849066e42d9111506f05a4febd07332a1f9b5b5791fe4ebe9648c7f2544d2 207134 libleveldb-dev_0+20120417.git85584d4-1_amd64.deb
 54cb0346ae23ce6b9ba2efa007b497e5db6c2a32cdfdd16d391f098313442ce2 34344 leveldb-doc_0+20120417.git85584d4-1_all.deb
Files: 
 30e6deb383f0000caf5f328c15f61b03 2057 database optional leveldb_0+20120417.git85584d4-1.dsc
 bc333096d2872d169759fa1cbe0cbfe8 149218 database optional leveldb_0+20120417.git85584d4.orig.tar.bz2
 7d83e815f21afd4ff23a9b19bff786d5 10710 database optional leveldb_0+20120417.git85584d4-1.debian.tar.gz
 29f4d7017f3b2d60c3f9cbfa61cb5746 143924 libs optional libleveldb1_0+20120417.git85584d4-1_amd64.deb
 4182ebe5fbf1f2df8e1df456c29d14a5 207134 libdevel optional libleveldb-dev_0+20120417.git85584d4-1_amd64.deb
 4ebe6480972db1682709f7fb81ed64fe 34344 doc optional leveldb-doc_0+20120417.git85584d4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPkTGcAAoJEOikiuUxHXZaedoP/2mTKmDRwHP94OUlRNiNgFET
nv8kdXVYOHGUEZzzL6G58xLD8DlgAJOQvWEg5EuBF/5/HFYl8EbaLEvdhoE2bVQr
PHe1oRzFvYPLc1+WMs0uExDgLzlbskAnX3rhRJgKbiNmKdX/9rtku5lfyMwW3mP6
X75JC/i2O+lUgsZfludmA8vMEHtUnwEt0APKbW6/II2kYer+N2lOlcbQ7hARl9RS
/zkZKUTqd+uu/y6Phy1qYl8sRgPdt0wuuDVG4VSBPCUoZqPWFfOgRLj2vQvyWnm1
YKXKMNK5xgstdLjolPNV9WRUSeVsaQ6HB8zaXbnOSCBsQ0IRzQyDxl+fDYGNa7Ye
S1RKOTtPyWmQbS5By8BMyz/oq2x6yqkRjEC89s2lDhMsYrtGEz/Aix38vDkYN4q9
9bqfLzFaIDyQLMzhQ9qMjWEtlTwpOPggar1/O2BdNMl9SBMaWPLciGg+b6TSwYFE
Hdb04JSbW0uaOl2JAc9cgWMxR0xfD9meDffDuNQlCLp+qPxruVaMYxnxwvWhnTod
wre8ZB20KSVYKbmSYRiokjtKPf7nOUVIw16n0yPmt77H6fNic0jmyDtOpSeR20WZ
veYRUFpQTI5NOuIU7gKwA4FWmBNwei2Tj8JWYWJS0jnOnW/YTKTfmr2Md+DjPMmC
8Rb/f1LK0EHQYqG9o2Xz
=UyS0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Jun 2012 07:33:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:15:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.